---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/admin/patch-priority.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Edit a priority

Use this request to update a priority.

This request cannot change a priority icon in the Tracker interface.

<div class="request_example method_patch yfm-clipboard">
    <p>PATCH</p>
    <pre><code>https://api.tracker.yandex.net/v3/priorities/&lt;priority_id_or_key>?version=&lt;priority_version></code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_includes/api/query-admin.md -->
{% note info "" %}

You need [Administrator](https://yandex.com.tr/support/tracker/en/role-model.md#admin) rights to run this request.

{% endnote %}
<!-- endsource: en/_includes/api/query-admin.md -->

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

## Request format {#query}

Before making the request, [get access to the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To edit a priority, use an HTTP request with the `PATCH` method. In the request body, specify the parameters in JSON format.

```json
PATCH /v3/priorities/<priority_id_or_key>?version=<priority_version>
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
Content-Type: application/json
X-Org-ID or X-Cloud-Org-ID: <organization_ID>

{
    "name": {
        "en": "English name",
        "ru": "Название на русском"
    },
    "description": "Description"
}
```

{% note tip "" %}

To find out priority parameters, such as `id`, `key`, or `version`, make a request [Get a list of priorities](https://yandex.com.tr/support/tracker/en/api-ref/admin/get-priorities.md).

{% endnote %}

<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->

{% cut "Resource" %}

Parameter | Description | Data type
-------- | -------- | ----------
priority_id_or_key | The unique ID of the priority in Tracker or the priority key. | Number or string

{% endcut %}

{% cut "Query parameters" %}

**Additional parameters**

Parameter | Description | Data type
----- | ----- | -----
version | The priority version. Changes are only applied to the current priority version. | Number

{% endcut %}

{% cut "Request body parameters" %}

**Additional parameters**

Parameter | Description | Data type
----- | ----- | -----
name | Priority name | Object
description | Priority description | String

**Fields of the `name` object** {#name}

Parameter | Description | Data type
----- | ----- | -----
en | Priority name in English | String
ru | Priority name in Russian | String

{% endcut %}


> Example: Change a priority name.
>
> - An HTTP PATCH method is used.
> - A priority with `key` = `one` is being edited.
> - New priority name: "Low".
>
> ```json
> PATCH /v3/priorities/one?version=1
> Host: api.tracker.yandex.net
> Authorization: OAuth y0__xAbc******
> Content-Type: application/json
> X-Org-ID: 1234******
>
>     {
>         "name": {
>         "en": "Low",
>         "ru": "Низкий"
>         },
>         "description": "Description"
>     }
> ```

## Response format {#answer}

{% list tabs %}

- Request completed successfully

    <!-- source: en/_includes/api/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/_includes/api/answer-200.md -->

    The response body contains information about the edited priority in JSON format.

  ```json
    {
        "self": "https://api.tracker.yandex.net/v3/priorities/6",
        "id": 6,
        "key": "one",
        "version": 2,
        "name": "Low",
        "description": "Description",
        "order": 60
    }
  ```
  {% cut "Response parameters" %}

  Parameter | Description | Data type
  ----- | ----- | -----
  self | The address of the API resource that contains information about the priority | String
  id | The unique ID of the priority in Tracker | Number
  key | Priority key | String
  version | Priority version | Number
  name | Priority name | String
  description | Priority description | String
  order | Priority weight. This parameter affects the order in which the priority is displayed in the interface | Number

  {% endcut %}


- Request failed

  If the request is not processed successfully, the API returns a response with an error code:

  <!-- source: en/_includes/api/answer-error-401.md -->
  401
  :   The user is not authorized. Make sure that actions described in the [API access](https://yandex.com.tr/support/tracker/en/api-ref/access.md) section are performed.
  <!-- endsource: en/_includes/api/answer-error-401.md -->

  <!-- source: en/_includes/api/answer-error-403.md -->
  403
  :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
  <!-- endsource: en/_includes/api/answer-error-403.md -->

  <!-- source: en/_includes/api/answer-error-404.md -->
  404
  :   The requested object was not found. You may have specified an invalid object ID or key.
  <!-- endsource: en/_includes/api/answer-error-404.md -->

  <!-- source: en/_includes/api/answer-error-409.md -->
  409
  :   There was a conflict when editing the object. The error may be due to an invalid update version.
  <!-- endsource: en/_includes/api/answer-error-409.md -->

  <!-- source: en/_includes/api/answer-error-423.md -->
  423
  :   Object edits disabled. The `version` parameter value limit (the maximum number of object updates) might have been exceeded. The maximum version value is `10100` for robots and `11100` for users.
  <!-- endsource: en/_includes/api/answer-error-423.md -->

{% endlist %}